#!/bin/sh
# the next line restarts using wish \
exec wish8.4 "$@"  "$0"

wm title . "VMDstartscript"

#   aboutBox --
#
#   Pops up a message box with an "about" message
#
proc aboutBox {} {
    tk_messageBox -icon error -type ok -title "Error: VMD nicht startbar" -message \
 " Es gab einen Fehler beim Starten von VMD, wahrscheinlich ist das Programm nicht oder nicht korrekt installiert! 
Demzufolge wird das Button Menue nicht funktionieren."
}

proc positionWindow w {
    wm geometry $w +100+100
}

set cmd "vmd -dispdev none -e vmdscripteng/quit.vmd"
# set cmd "vmd"    
catch {
    set result [ eval exec $cmd ]

} rawerr

regsub -all {"} $rawerr c rawerr

set err [ lindex $rawerr 1 ]

if { $err != "VMD" } {
    aboutBox 
    exit
    } 


label .msg  -wraplength 2.5i -justify left -text "Klicken Sie auf eines der Buttons, um die entsprechende Pr\u00E4sentation zu starten! 
Bevor Sie zu einer anderen Demonstration wechseln k\u00F6nnen, m\u00FCssen Sie die jeweils offene VMD -session schliessen. \n\n"
pack .msg -side top


button .b1 -text "Designerprotein" -width 20 \
    -command "exec vmd -e vmdscriptger/designerproteinhypertxtgerman.vmd"

button .b2 -text "Antik\u00F6rper" -width 20 \
    -command "exec vmd -e vmdscriptger/antibodyhypertxtgerman.vmd "

button .b3 -text "t-RNA struktur" -width 20 \
    -command "exec vmd -e vmdscriptger/ElongFactortRNAbutton.vmd "

button .b4 -text "Hollidayjunction" -width 20 \
    -command "exec vmd -e vmdscriptger/hollidayjunctionhypertxtgerman.vmd "

button .b5 -text "Ribosome" -width 20 \
    -command "exec vmd -e vmdscriptger/ribosomebuttongerman.vmd "

button .b6 -text "Sensory Rhodopsin" -width 20 \
    -command "exec vmd -e vmdscriptger/sensoryproteinhypertxtanimationgerman.vmd "

button .b7 -text "Photosystem II" -width 20 \
    -command "exec vmd -e vmdscriptger/psIIhypertxtgerman.vmd "

button .b8 -text "GFPswitch" -width 20 \
    -command "exec vmd -e vmdscriptger/gfpswitchhypertxtanimationgerman.vmd "

button .b9 -text "Light harvesting" -width 20 \
    -command "exec vmd -e vmdscriptger/rclh1hypertxtgerman.vmd "

button .b10 -text "Sensory Phototropin" -width 20 \
    -command "exec vmd -e vmdscriptger/phototropinanimation.vmd "

button .b11 -text "ATP-synthase" -width 20 \
    -command "exec vmd -e vmdscriptger/atpsynthaseanimation.vmd "
    
button .b12 -text "Photoact. Yellow Protein" -width 20 \
    -command "exec vmd -e vmdscriptger/pypanimation.vmd "

button .b13 -text "Bakteriorhodopsin" -width 20 \
    -command "exec vmd -e vmdscriptger/bacteriorhodopsinanimation.vmd "
    
pack .b1 .b2 .b3 .b4 .b5 .b6 .b7 .b8 .b9 .b10 .b11 .b12 .b13 -side top -expand yes -pady 2

